logo
Loading...

執行Part2_model_training.ipynb報錯 - Cupoy

python為3.7,tensorflow=2.2.0原numpy 為1.21.0 出現下面錯誤Ca...

執行Part2_model_training.ipynb報錯

2021/08/13 上午 11:20
liko1688 H
觀看數:13
回答數:1
收藏數:0

python為3.7,tensorflow=2.2.0 原numpy 為1.21.0 出現下面錯誤 Cannot convert a symbolic Tensor to a numpy array. 將numpy 降版為1.19.3改為出現下面錯誤 ValueError: numpy.ndarray size changed, may indicate binary incompatibility. Expected 88 from C header, got 80 from PyObject 請問該如何解決上述問題?

回答列表

  • 2021/08/17 下午 01:31
    王健安
    贊同數:0
    不贊同數:0
    留言數:0

    liko1688 H您好: tensorflow與numpy版本對應我給您兩個經驗參考, 第一個是以下連結: https://jennaweng0621.pixnet.net/blog/post/403958360-tensorflow%E8%88%87numpy%E6%90%AD%E9%85%8D%E7%89%88%E6%9C%AC 第二個是, 我自己的環境是python 3.7.5、numpy == 1.19.5、tensorflow == 2.5.0, 運行上是沒有問題的, 給您做參考, 另外, 若您需要重新安裝package時, 建議您先將先前已安裝的解除安裝後, 再進行重新安裝。